org.eclipse.microprofile.openapi.models.servers

## Interface ServerVariables

All Superinterfaces:
  Constructible, Extensible<ServerVariables>, Map<String,ServerVariable>

Deprecated.
since 1.1, a future version will remove this and replace it with a `Map<String, ServerVariable>`, because it does not need to be extensible

    @Deprecated
    public interface ServerVariables
    extends Constructible, Extensible<ServerVariables>, Map<String,ServerVariable>

ServerVariables

See Also:
  ServerVariable Object

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`ServerVariables` `addServerVariable(String name, ServerVariable serverVariable)` Deprecated. This method adds a key-value item to a ServerVariables instance from the name-item parameter pair and returns the modified instance.
`boolean` `containsKey(Object key)` Deprecated. since 1.1
`ServerVariable` `get(Object key)` Deprecated. since 1.1
`default ServerVariable` `getServerVariable(String name)` Deprecated. Returns a server variable for a given name.
`Map<String,ServerVariable>` `getServerVariables()` Deprecated. Returns a copy map (potentially immutable) of the server variables.
`default boolean` `hasServerVariable(String name)` Deprecated. Check whether a server variable is present in the map.
`ServerVariable` `put(String key, ServerVariable value)` Deprecated. since 1.1
`void` `putAll(Map<? extends String,? extends ServerVariable> m)` Deprecated. since 1.1
`ServerVariable` `remove(Object key)` Deprecated. since 1.1
`void` `removeServerVariable(String name)` Deprecated. Removes the given server variables.
`void` `setServerVariables(Map<String,ServerVariable> items)` Deprecated. Set the server variables map to this ServerVariables object.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, equals, forEach, getOrDefault, hashCode, isEmpty, keySet, merge, putIfAbsent, remove, replace, replace, replaceAll, size, values`

### Method Detail

#### addServerVariable

    ServerVariables addServerVariable(String name,
                                      ServerVariable serverVariable)

Deprecated.
This method adds a key-value item to a ServerVariables instance from the name-item parameter pair and returns the modified instance.

Parameters:
  `name` - the name of ServerVariable instance
  `serverVariable` - the ServerVariable instance. null values will be rejected (implementation will throw an exception) or ignored.
Returns:
  ServerVariables instance with the added name-item pair.

#### removeServerVariable

    void removeServerVariable(String name)

Deprecated.
Removes the given server variables.

Parameters:
  `name` - the name of ServerVariable instance

#### getServerVariables

    Map<String,ServerVariable> getServerVariables()

Deprecated.
Returns a copy map (potentially immutable) of the server variables.

Returns:
  all items

#### setServerVariables

    void setServerVariables(Map<String,ServerVariable> items)

Deprecated.
Set the server variables map to this ServerVariables object.

Parameters:
  `items` - a map containing key-value item.

#### hasServerVariable

    default boolean hasServerVariable(String name)

Deprecated.
Check whether a server variable is present in the map. This is a convenience method for `getServerVariables().containsKey(name)`

Parameters:
  `name` - the name of ServerVariable instance
Returns:
  a boolean to indicate if the server variable is present or not.

#### getServerVariable

    default ServerVariable getServerVariable(String name)

Deprecated.
Returns a server variable for a given name. This is a convenience method for `getServerVariables().get(name)`

Parameters:
  `name` - the name of ServerVariable instance
Returns:
  the corresponding server variable or null.

#### get

    @Deprecated
    ServerVariable get(Object key)

Deprecated. since 1.1
In the next version, `ServerVariables` will no longer extends `Map`, this method will no longer be present. Use `getServerVariable(String)` instead.

Specified by:
  `get` in interface `Map<String,ServerVariable>`

#### containsKey

    @Deprecated
    boolean containsKey(Object key)

Deprecated. since 1.1
In the next version, `ServerVariables` will no longer extends `Map`, this method will no longer be present. Use `hasServerVariable(String)` instead.

Specified by:
  `containsKey` in interface `Map<String,ServerVariable>`

#### put

    @Deprecated
    ServerVariable put(String key,
                                   ServerVariable value)

Deprecated. since 1.1
In the next version, `ServerVariables` will no longer extends `Map`, this method will no longer be present. Use `addServerVariable(String, ServerVariable)` instead.

Specified by:
  `put` in interface `Map<String,ServerVariable>`

#### putAll

    @Deprecated
    void putAll(Map<? extends String,? extends ServerVariable> m)

Deprecated. since 1.1
In the next version, `ServerVariables` will no longer extends `Map`, this method will no longer be present. Use `setServerVariables(Map)` instead.

Specified by:
  `putAll` in interface `Map<String,ServerVariable>`

#### remove

    @Deprecated
    ServerVariable remove(Object key)

Deprecated. since 1.1
In the next version, `ServerVariables` will no longer extends `Map`, this method will no longer be present. Use `removeServerVariable(String)` instead.

Specified by:
  `remove` in interface `Map<String,ServerVariable>`